<sidenav class="d-lg-block testclass" [orientation]="orientation" [ngClass]="getClasses()"  id="style-4"
  *ngIf="!isMobTablet">
  <!-- Brand demo (see src/demo.css) -->
  <!-- <div class="demo-brand" *ngIf="orientation !== 'horizontal'" style="padding:1.1rem">
        <span >
          <img [src]="logo" style="height: 36px;" class="login-logo" />

        </span>
        <div style="padding-left:15px;">
          <p style="margin-top:0.4rem;margin-bottom:1px;"><a routerLink="/" class="demo-brand-name sidenav-text font-weight-normal ml-2"
              style="font-weight:bolder !important;">{{title}}</a></p>
          <a class="pull-right" href="http://hypersonix.ai/" style="color:rgb(207, 207, 207);font-size: 8px;">Powered by Hypersonix
          </a>
        </div>

      <a href="javascript:void(0)" class="layout-sidenav-toggle sidenav-link text-large ml-auto" (click)="toggleSidenav()">
        <i class="ion ion-md-menu align-middle"></i>
      </a>
    </div> -->
  <!-- <div class="sidenav-divider mt-0" *ngIf="orientation !== 'horizontal'"></div> -->

  <!-- Links -->
  <div class="sidenav-inner" [ngClass]="{ 'pb-1': orientation !== 'horizontal' }">
    <!-- <div class="row" > -->
      <div class="sidenav-item d-block align-items-center py-2 w-100" style="border-bottom: 0.5px solid #777777;height:80px;">
      <div style="width:100%;" class="sidenav-parent">
      <a class="menu-md pl-4 d-flex align-items-center" style="width:100%; z-index:2; float:left; padding: 0.75rem 2rem;"  >
        <span class="cursor ml-2" (click)="toggleSidenav()" ><img src="../../../assets/imgs/hxlogo/hx_logo_white.svg"   style="height: 23px;width: 32px;"></span>
        <div (click)="goToDefaultPage()" class=" ml-3 cursor"><img src="../../../assets/imgs/hxlogo/hx_text_white.svg" style="height:21px; position: relative; left: -3px; margin-top: 5px;" class="ml-1"></div>
        <!-- <app-hint [id]="'logout'"></app-hint> -->
        <span  (click)="logout()" class="ml-auto pr-0 cursor" placement="bottom" ngbTooltip="Logout"><i class="las la-sign-out-alt f-22 "></i></span>
      </a></div></div>
      <!-- <div class=" sidenav-item d-block w-100" >
        <div style="width:100%;" class="sidenav-parent">
        <a class="pl-4 pt-3 w-100 float-left pr-0" style=" z-index:2; "  >
          <div class="f-14">Manage</div>
        </a></div></div> -->
    <app-hint [id]="'menu-item'"></app-hint>

    <div *ngFor="let page of sidemenu|orderBy:'Sequence':reverse:'case-insensitive'; let j = index" style="width:100%;"
      [class]="page.Link_Type=='Link'?'sidenav-parent':'noclass'">

      <!-- <div class="sidenav-menu-top" (click)="displayModel(reportwizard);selectExploreIntent(0)"
        style="position: relative;">
        <sidenav-router-link *ngIf="j==0" icon="ion ion-md-trending-up" class="bg-sidenav-theme sidenav-item active">New
          Analysis
          <div style="margin-top:-25px;position:absolute;z-index: 99999;right:0;margin-right:-30px">
            <div class="add-md"><i style="font-size:14px;" class="fa fa-plus"></i></div>
          </div>
        </sidenav-router-link>
      </div> -->

     


      <!-- <div *ngIf="page.Link_Type=='Menu'" style="margin-top:85px;position:absolute;z-index: 99999;right:0;margin-right:20px"
        (click)="openDialog2(newDashtModal,page.MenuID, { windowClass: 'modal-fill-in modal-xlg modal-lg animate' })">
        <div class="add-md"><i class="fa fa-plus"></i></div>
      </div> -->


      <sidenav-menu [icon]="[page.MenuImage]" [text]="[page.Display_Name]" [open]="false"
        *ngIf="page.Link_Type=='Menu' && page.Hide_Show==1">
        <div class="tooltip-sidenav">
        <div *ngIf="page.Link_Type=='Menu'  && !(page.Display_Name == 'Intelligence Engines')"  placement="margin-bottom" ngbTooltip="Create Dashboard"
        style="z-index: 99999;right:0;margin-right:20px;margin-top:-55px;position: absolute"
        (click)="openDialog2(newDashtModal,page.MenuID, { windowClass: 'modal-fill-in modal-md modal-lg animate' })">
        <div class="add-md"><i class="las la-plus fa-lg"></i></div>
      </div>
    </div>


        <!--<div class="column" dragula="submenu" [(dragulaModel)]="page.sub">
          <div *ngFor="let sub of page.sub|orderBy:'Sequence':reverse:'case-insensitive'; let i = index"> -->
        <!-- <sidenav-router-link *ngFor="let sub of page.sub|orderBy:'Sequence':reverse:'case-insensitive'; let i = index"
          [isReadRole]="sub.isshared && !isAdmin" [isAdmin]=isAdmin [isPublicPage]="sub.isshared"
          [shareTo]="sub.share_type" [linkName]="sub.link_name" [icon]="activeMenu==sub.MenuID?'far fa-dot-circle':'fab'"
          [route]="['/dashboards/dashboard',sub.MenuID]"  placement="margin-bottom"
          [ngbTooltip]="sub.Description" [isSubMenu]="true" [menuName]="sub.Display_Name"
          [menuDescription]="sub.Description" (menuActvate)="makeActiveMenu($event)"
          [isActive]="activeMenu==sub.MenuID?'activeMenu':''" [menuCount]="sub.MenuID" [menuId]="sub.MenuID"
          [pinFiltertype]="sub.date_filter" [createdby]="sub.CreatedBy">{{sub.Display_Name}}</sidenav-router-link> -->
          <div *ngIf="!isTouchDevice()" class="column" dragula="submenu" [(dragulaModel)]="page.sub">
              <div *ngFor="let sub of page.sub|orderBy:'Sequence':reverse:'case-insensitive'; let i = index" class="custom-edit-icon">
                <sidenav-router-link  [has_edit]="page.Display_Name!='Intelligence Engines'" [isReadRole]="sub.isshared && !isAdmin" [isAdmin]=isAdmin [isPublicPage]="sub.isshared"
                  [shareTo]="sub.share_type" [linkName]="sub.link_name" [icon]="activeMenu==sub.MenuID?'far fa-dot-circle':'fab'" [route]="sub.Link_Type == 'Link'? sub.Link :(sub.Link_Type == 'Flow'? ['/flow',sub.MenuID]:['/dashboards/dashboard',sub.MenuID])"
                  class=" customer" placement="margin-bottom"  [isSubMenu]="true"
                  [menuName]="sub.Display_Name" [menuDescription]="sub.Description" (menuActvate)="makeActiveMenu($event)"
                  [isActive]="activeMenu==sub.MenuID?'activeMenu':''" [menuCount]="sub.MenuID" [menu]="sub" [menuId]="sub.MenuID" [pinFiltertype]="sub.date_filter"
                  [createdby]="sub.CreatedBy">{{sub.Display_Name}}</sidenav-router-link>
              </div>
              <!-- "sub.Link_Type == 'Link'? sub.Link :(sub.Link_Type == 'Intercept'? ['/insights/intercept',sub.MenuID] :(sub.Link_Type == 'Flow'? ['/flow',sub.MenuID]:['/dashboards/dashboard',sub.MenuID]))" -->
            </div>
            <div *ngIf="isTouchDevice()" class="column">
                <div *ngFor="let sub of page.sub|orderBy:'Sequence':reverse:'case-insensitive'; let i = index" class="custom-edit-icon">
                    <sidenav-router-link  [has_edit]="page.Display_Name!='Intelligence Engines'" [isReadRole]="sub.isshared && !isAdmin" [isAdmin]=isAdmin [isPublicPage]="sub.isshared"
                    class="customer" [shareTo]="sub.share_type" [linkName]="sub.link_name" [icon]="activeMenu==sub.MenuID?'far fa-dot-circle':'fab'" [route]="sub.Link_Type == 'Link'? sub.Link :(sub.Link_Type == 'Flow'? ['/flow',sub.MenuID]:['/dashboards/dashboard',sub.MenuID])"
                    [isSubMenu]="true" [menuName]="sub.Display_Name" [menuDescription]="sub.Description" (menuActvate)="makeActiveMenu($event)"
                    [isActive]="activeMenu==sub.MenuID?'activeMenu':''" [menuCount]="sub.MenuID" [menuId]="sub.MenuID" [pinFiltertype]="sub.date_filter"
                    [createdby]="sub.CreatedBy">{{sub.Display_Name}}
                    <!-- <span class="tooltiptext" *ngIf="mobTooltipStr != ''">{{mobTooltipStr}}</span> -->
                  </sidenav-router-link>
                </div>
              </div>
        <!--</div>
        </div> -->
      </sidenav-menu>


      <ng-template #newDashtModal let-c="close" let-d="dismiss">
        <div class="modal-header">
          <h5 class="modal-title"> <span class="font-weight-light">New Dashboard</span>
          </h5>
          <button type="button" class="close" (click)="d('Cross click');clear();">&times;</button>
        </div>
        <div class="modal-body">
          <div class="form-row">
            <div class="form-group col">
              <label class="form-label label-material">Dashboard Name</label>
              <input type="text" class="form-control input-material" placeholder="Dashboard Name"
                [(ngModel)]="menuName">
            </div>
            <!-- <sidenav-router-link *ngIf="page.Link_Type=='Link' && page.Hide_Show==1" [icon]="[page.MenuImage]" [route]="[page.Link]"
                    [isSubMenu]="false">{{page.Display_Name}}</sidenav-router-link> -->
          </div>
          <div class="form-row">
            <div class="form-group col">
              <label class="form-label label-material">Description</label>
              <textarea type="text" class="form-control input-material" placeholder="Description"
                [(ngModel)]="menuDescription"></textarea>
            </div>
          </div>
          <!-- <div class="form-row">
            <div class="form-group col">
              <label class="form-label">Filter Type</label>
              <select class="form-control input-material" [(ngModel)]="pinFiltertype"
                (change)="onFTChange($event.target.value)">
                <option class="option-material" value="0">Date Horizon</option>
                <option class="option-material" value="1">Specific Date</option>
                <option class="option-material" value="2">Date Range</option>
              </select>
            </div>
          </div> -->
          <div *ngIf="isAdmin" class="form-row">
            <!-- <div *ngIf="false" class="form-row"> -->
            <div class="form-group col">
              <label class="custom-control custom-checkbox">
                <input type="checkbox" class="custom-control-input" [(ngModel)]="isPublicPage" [checked]="isPublicPage">
                <span class="custom-control-label">Share</span>
              </label>
            </div>
          </div>
          <!-- sun dbmobile_view -->
          <div class="form-row" *ngIf="datamanager.dbMobileview">
            <div class="form-group col">
              <label class="custom-control custom-checkbox">
                <input type="checkbox" class="custom-control-input" [(ngModel)]="dbMobileview" [checked]="dbMobileview">
                <span class="custom-control-label">Mobile View</span>
              </label>
            </div>
          </div>
          <!-- sun dbmobile_view -->
          <div *ngIf="isPublicPage" class="form-row">
            <div class="form-group col">
              <label class="form-label">Roles/Users</label>
              <select class="form-control input-material" [(ngModel)]="shareTo">
                <option class="option-material" *ngFor=" let type of shareTypes" [value]="type.value">
                  {{type.description}}
                </option>
              </select>
            </div>
          </div>
          <div *ngIf="isPublicPage && shareTo == 1" class="form-row">
            <div class="form-group col">
              <label class="form-label">Roles</label>
              <ng-select style="color:#a4a4a4;" [multiple]="true" [options]="roleList" [(ngModel)]="rolesList" required
                #roles="ngModel">
              </ng-select>
              <div class="pt-2 text-secondary text-tiny" *ngIf="roles.invalid">You must include at least one role.</div>
            </div>
          </div>
          <div *ngIf="isPublicPage && shareTo == 2" class="form-row">
            <div class="form-group col">
              <label class="form-label">Users</label>
              <ng-select style="color:#a4a4a4;" [multiple]="true" [options]="userList" [(ngModel)]="usersList" required
                #users="ngModel">
              </ng-select>
              <div class="pt-2 text-secondary text-tiny" *ngIf="users.invalid">You must include at least one user.</div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default" (click)="c('Close click');clear();">Cancel</button>
          <button type="button" class="btn btn-primary btn-material"
            [disabled]="menuName=='' || menuDescription== '' || ((isPublicPage && shareTo=='1' && rolesList.length==0)||(isPublicPage && shareTo=='2' && usersList.length==0))"
            (click)="addNewDashboard()">Create</button>
        </div>
      </ng-template>

      <sidenav-router-link *ngIf="page.Link_Type=='Link' && page.Hide_Show==1" [icon]="[page.MenuImage]"
       [has_edit]="page.Display_Name!='Intelligence Engines'"
        [route]="[page.Link]" [isSubMenu]="false" [menuName]="page.Display_Name" [menuDescription]="page.Description"
        [menuId]="page.MenuID"  placement="margin-bottom" (menuActvate)="makeActiveMenu($event)"
        [isActive]="activeMenu==page.MenuID?'activeMenu':''" [menuCount]="page.MenuID">
        {{page.Display_Name}}</sidenav-router-link>
       
    </div>
    <div style="display: none;" class="sidenav-link sidenav-parent w-100 cursor"  (click)="openDialog_whats(whatsNew, { windowClass: 'modal-fill-in modal-md modal-lg animate' })">
  <div class="sidenav-item d-block">
    <a  class="sidenav-link menu-md pr-0 float-left w-100" style="z-index:2;" >
<i  class="sidenav-icon fa-lg las la-home" ></i>
<div>What's New</div><span class="box-section">2</span></a>
  </div>
  </div>
</div>

</sidenav>
<sidenav [orientation]="orientation" [ngClass]="getClasses()" *ngIf="isMobTablet" [perfectScrollbar]>
  <!-- Brand demo (see src/demo.css) -->
  <!-- <div class="demo-brand" *ngIf="orientation !== 'horizontal'" style="padding:1.1rem">
        <span >
          <img [src]="logo" style="height: 36px;" class="login-logo" />

        </span>
        <div style="padding-left:15px;">
          <p style="margin-top:0.4rem;margin-bottom:1px;"><a routerLink="/" class="demo-brand-name sidenav-text font-weight-normal ml-2"
              style="font-weight:bolder !important;">{{title}}</a></p>
          <a class="pull-right" href="http://hypersonix.ai/" style="color:rgb(207, 207, 207);font-size: 8px;">Powered by Hypersonix
          </a>
        </div>

      <a href="javascript:void(0)" class="layout-sidenav-toggle sidenav-link text-large ml-auto" (click)="toggleSidenav()">
        <i class="ion ion-md-menu align-middle"></i>
      </a>
    </div> -->
  <!-- <div class="sidenav-divider mt-0" *ngIf="orientation !== 'horizontal'"></div> -->

  <!-- Links -->
  <div class="sidenav-item d-block align-items-center py-2 w-100" style="border-bottom: 0.5px solid #777777;height:82px;">
    <div style="width:100%;" class="sidenav-parent">
    <a class="menu-md pl-4 d-flex align-items-center" style="width:100%; z-index:2; float:left; padding: 2.2rem 2rem;"  >
      <span class="cursor ml-2" (click)="toggleSidenav()" ><img src="../../../assets/imgs/hxlogo/hx_logo_white.svg"   style="height: 21px;width: 32px;"></span>
      <div (click)="goToDefaultPage()" class=" ml-3 cursor"><img src="../../../assets/imgs/hxlogo/hx_text_white.svg" style="height:21px; position: relative; left: -3px; margin-top: 5px;" class="ml-1"></div>
      <span  (click)="logout()" class="ml-auto pr-0 cursor" placement="bottom" ngbTooltip="Logout"><i class="las la-sign-out-alt f-22 "></i></span>
    </a></div></div>
  <div class="sidenav-inner" [ngClass]="{ 'py-1': orientation !== 'horizontal' }">
    <!-- <div class="row" dragula="bag" [(dragulaModel)]="sidemenu"> -->

    <div *ngFor="let page of sidemenu|orderBy:'Sequence':reverse:'case-insensitive'; let j = index" style="width:100%;"
      [class]="page.Link_Type=='Link'?'sidenav-parent':'noclass'">

      
      <sidenav-menu [icon]="[page.MenuImage]" [text]="[page.Display_Name]"
        *ngIf="page.Link_Type=='Menu' && page.Hide_Show==1 ">

        <div *ngIf="page.Link_Type=='Menu'"
          style="z-index: 99999;right:0;margin-right:20px;margin-top:-48px;position: absolute"
          (click)="openDialog2(newDashtModal,page.MenuID, { windowClass: 'modal-fill-in modal-md modal-lg animate' })">
          <!-- <div class="add-md"><i class="fa fa-plus"></i> </div> -->

        </div>





        <div class="column">
          <div *ngFor="let sub of page.sub|orderBy:'Sequence':reverse:'case-insensitive'; let i = index">
            <sidenav-router-link [has_edit]="page.Display_Name!='Intelligence Engines'" [isReadRole]="sub.isshared && !isAdmin" [isAdmin]=isAdmin [isPublicPage]="sub.isshared"
              [shareTo]="sub.share_type" [linkName]="sub.link_name" [icon]="activeMenu==sub.MenuID?'far fa-dot-circle':'fab'"
              [route]="sub.Link_Type == 'Link'? sub.Link :(sub.Link_Type == 'Flow'? ['/flow',sub.MenuID]:['/dashboards/dashboard',sub.MenuID])"[isSubMenu]="false" [menuName]="sub.Display_Name"
              [menuDescription]="sub.Description" (menuActvate)="makeActiveMenu($event)"
              [isActive]="activeMenu==sub.MenuID?'activeMenu':''" [menuCount]="sub.MenuID" [menuId]="sub.MenuID"
              [createdby]="sub.CreatedBy" class="tooltipMobBottom customer" (press)="onLongPress(sub.Description)"
              (pressUp)="onPressUp()">{{sub.Display_Name}}
              <span class="tooltiptext" *ngIf="mobTooltipStr != ''">{{mobTooltipStr}}</span> </sidenav-router-link>
          </div>
        </div>
      </sidenav-menu>


      <ng-template #newDashtModal let-c="close" let-d="dismiss">
        <div class="modal-header">
          <h5 class="modal-title"> <span class="font-weight-light">New Dashboard</span>
          </h5>
          <button type="button" class="close" (click)="d('Cross click');clear();">&times;</button>
        </div>
        <div class="modal-body">
          <div class="form-row">
            <div class="form-group col">
              <label class="form-label label-material">Dashboard Name</label>
              <input type="text" class="form-control input-material" placeholder="Dashboard Name"
                [(ngModel)]="menuName">
            </div>
            <!-- <sidenav-router-link *ngIf="page.Link_Type=='Link' && page.Hide_Show==1" [icon]="[page.MenuImage]" [route]="[page.Link]"
                    [isSubMenu]="false">{{page.Display_Name}}</sidenav-router-link> -->
          </div>
          <div class="form-row">
            <div class="form-group col">
              <label class="form-label label-material">Description</label>
              <textarea type="text" class="form-control input-material" placeholder="Description"
                [(ngModel)]="menuDescription"></textarea>
            </div>
          </div>
          <!-- <div class="form-row">
            <div class="form-group col">
              <label class="form-label">Filter Type</label>
              <select class="form-control input-material" [(ngModel)]="pinFiltertype"
                (change)="onFTChange($event.target.value)">
                <option class="option-material" value="0">Date Horizon</option>
                <option class="option-material" value="1">Specific Date</option>
                <option class="option-material" value="2">Date Range</option>
              </select>
            </div>
          </div> -->
          <div *ngIf="isAdmin" class="form-row">
            <div class="form-group col">
              <label class="custom-control custom-checkbox">
                <input type="checkbox" class="custom-control-input" [(ngModel)]="isPublicPage" [checked]="isPublicPage">
                <span class="custom-control-label">Share</span>
              </label>
            </div>
          </div>
          <div *ngIf="isPublicPage" class="form-row">
            <div class="form-group col">
              <label class="form-label">Roles/Users</label>
              <select class="form-control input-material" [(ngModel)]="shareTo">
                <option class="option-material" *ngFor=" let type of shareTypes" [value]="type.value">
                  {{type.description}}
                </option>
              </select>
            </div>
          </div>
          <div *ngIf="shareTo == 1" class="form-row">
            <div class="form-group col">
              <label class="form-label">Roles</label>
              <ng-select style="color:#a4a4a4;" [multiple]="true" [options]="roleList" [(ngModel)]="rolesList" required
                #roles="ngModel">
              </ng-select>
              <div *ngIf="roles.invalid">You must include at least one role.</div>
            </div>
          </div>
          <div *ngIf="shareTo == 2" class="form-row">
            <div class="form-group col">
              <label class="form-label">Users</label>
              <ng-select style="color:#a4a4a4;" [multiple]="true" [options]="userList" [(ngModel)]="usersList" required
                #users="ngModel">
              </ng-select>
              <div *ngIf="users.invalid">You must include at least one user.</div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default" (click)="c('Close click');clear();">Cancel</button>
          <button type="button" class="btn btn-primary btn-material"
            [disabled]="menuName=='' || menuDescription== '' || ((isPublicPage && shareTo=='1' && rolesList.length==0)||(isPublicPage && shareTo=='2' && usersList.length==0))"
            (click)="addNewDashboard()">Create</button>
        </div>
      </ng-template>

      <sidenav-router-link *ngIf="page.Link_Type=='Link' && page.Hide_Show==1 && (!(page.Display_Name == 'Chatbot' && deviceService.isMobile()))" [icon]="[page.MenuImage]"
        [has_edit]="page.Display_Name!='Intelligence Engines'"
        [route]="[page.Link]" [isSubMenu]="false" [menuName]="page.Display_Name" [menuDescription]="page.Description"
        [menuId]="page.MenuID" class="tooltipMobBottom" (press)="onLongPress(page.Description)" (pressUp)="onPressUp()" (menuActvate)="makeActiveMenu($event)"
        [isActive]="activeMenu==page.MenuID?'activeMenu':''" [menuCount]="page.MenuID">
        {{page.Display_Name}}
        <span class="tooltiptext" *ngIf="mobTooltipStr != ''">{{mobTooltipStr}}</span></sidenav-router-link>
      <!-- </div> -->
    </div>
  </div>

</sidenav>

<!--- Report Wizard -->
<ng-template #reportwizard let-c="close" let-d="dismiss">
  <div class="modal-header">
    <h5 class="modal-title"> Create New Tile <span class="font-weight-light"></span>
      <!-- <div class="form-row">
                        <div class="form-group col">
                            <label class="form-label">New Analysis</label> -->
      <!-- </div>
                    </div> -->
      <!--  <small class="text-muted">We need payment information to process your order.</small> -->
    </h5>
    <button type="button" class="close" (click)="d('Cross click');clearReportWizard();">&times;</button>
  </div>

  <div class="modal-body material-style tile-model-body">

    <!-- ORIGINAL -->
    <!-- <wizard class="ng2-archwizard-boxed-steps" [navBarLocation]="'top'" [navBarLayout]="'custom'">
      <wizard-step navigationSymbol="&#xf100;" navigationSymbolFontFamily="Ionicons">
        <ng-template wizardStepTitle>
          <div class="text-muted small">First Step</div>Tile Information
        </ng-template>
        <br>

        <div class="form-row">


          <div class="form-group side-box-material col-md-6">
            <div class="px-4 px-sm-5 pt-4 pb-5 pb-sm-5 title-heading-material">
              <label class="form-label">Tile Name</label>
              <input type="text" class="form-control input-material" placeholder="Name" name="pinName"
                [(ngModel)]="pinName">
            </div>
          </div>
          <div class="form-group side-box-material col-md-6">
            <div class="px-4 px-sm-5 pt-4 pb-5 pb-sm-5 title-heading-material">
              <label class="form-label">Data Source</label>
              <select class="custom-select" (change)=selectExploreIntent($event.target.value,false)>
                <option *ngFor="let intent of exploreList; let i = index" class="option-material" [value]="i">
                  {{intent.entity_description}}
                </option>
              </select>
            </div>
          </div>
        </div>

        <br>
        
                <div class="form-row" *ngIf="!addNewDash">
                    <div class="form-group col-md-12">
                        <div class="px-4 px-sm-5 pt-4 pb-5 pb-sm-5  title-heading-material">
                            <div class="form-group col">
                                <label class="form-label">Select Dashboard to Add to</label>
                                <select class="form-control input-material" [(ngModel)]="pinMenuId">
                                    <option class="option-material" *ngFor="let dashboardname of pinDashList" [value]="dashboardname.MenuID">{{dashboardname.Display_Name}}</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>

        <div class="modal-footer">
          <button type="button" class="btn btn-primary" nextStep>Next</button>
        </div>
      </wizard-step>

      <wizard-step navigationSymbol="&#xf431;" navigationSymbolFontFamily="Ionicons">
        <ng-template wizardStepTitle>
          <div class="text-muted small">Second Step</div>Dimensions & Measures
        </ng-template>

        <div class="form-row">
          <div *ngIf="exploreData.hsresult" style="width:100%; height:50%" class="step-2-filetr custom-filter-height">
              <hx-setting [resultData]="exploreData.hsresult" [filterNotifier]="filterNotifier"
              (toolApply)="toolApply($event)" [isReuse]="true"></hx-setting>
          </div>
        </div>

        <div class="modal-footer">
          <button type="button" class="btn btn-default" previousStep>Previous</button>
          <button type="button" class="btn btn-primary" nextStep>Next</button>
        </div>
      </wizard-step>

      <wizard-step navigationSymbol="&#xf182;" navigationSymbolFontFamily="Ionicons">
        <ng-template wizardStepTitle>
          <div class="text-muted small">Third Step</div>Filters
        </ng-template>

        <div class="form-row">
            <div *ngIf="exploreData.hsresult" style="width:100%; height:50%" class="step-2-filetr custom-filter-height">
              <hx-filter1 [resultData]="exploreData.hsresult" [filterNotifier]="filterNotifier"
                (toolApply)="toolApply($event)"></hx-filter1>
            </div>
          </div>


        <div class="modal-footer">
          <button type="button" class="btn btn-default" previousStep>Previous</button>
            <button type="button" class="btn btn-primary" (click)="getSummary()" nextStep>Next</button>
        </div>
      </wizard-step>
      <wizard-step navigationSymbol="&#xf2ef;" navigationSymbolFontFamily="Ionicons">
          <ng-template wizardStepTitle>
              <div class="text-muted small">Final Step</div>Summary
          </ng-template>
          <div class="form-row col-md-12">
              <h4 class="font-weight-semibold mb-4">Summary</h4>
              <table class="table product-item-table">
                  <tbody>
                      <tr>
                          <td width="150px">Tile Name <span><i class="ion ion-md-information-circle-outline" placement="bottom"
                                      ngbTooltip="Tile Name"></i></span></td>
                          <td>{{pinName}}</td>
                      </tr>
                      <tr>
                          <td width="150px">Data Source <span><i class="ion ion-md-information-circle-outline"
                                      placement="bottom" ngbTooltip="Data Source"></i></span></td>
                          <td>{{favoriteIntent.entity_description}}</td>
                      </tr>
                      <tr>
                          <td width="150px">Dashboard Name <span><i class="ion ion-md-information-circle-outline" placement="bottom"
                                      ngbTooltip="Dashboard Name"></i></span></td>
                          <td>{{getPinMenuName(pinMenuId)}}</td>
                      </tr>
                      <tr>
                          <td width="150px">Added Fields <span><i class="ion ion-md-information-circle-outline" placement="bottom"
                                      ngbTooltip="Dimensions & Measures"></i></span></td>
                          <td>
                              <div *ngIf="fieldsList">
                                  <div
                                      *ngIf="fieldsList.length>0">
                                      {{fieldsList.toString()}}
                                  </div>
                                  <div
                                      *ngIf="fieldsList.length==0">
                                      No Fields added
                                  </div>
                              </div>
                          </td>
                      </tr>
                      <tr>
                          <td width="150px">Applied Filters <span><i class="ion ion-md-information-circle-outline" placement="bottom"
                                      ngbTooltip="Filters"></i></span></td>
                          <td>
                              <div *ngIf="flashLocalFilterVar2 && flashLocalFilterVar2.length>0">
                                  {{flashLocalFilterVar2.toString()}}
                             
                              </div>
                              <div *ngIf="flashLocalFilterVar2 && !flashLocalFilterVar2.length>0">
                                  No Filters Applied
                              </div>
                          </td>
                      </tr>
                  </tbody>
              </table>

          </div>
          <div class="modal-footer">
              <button type="button" class="btn btn-default" previousStep>Previous</button>
              <button type="button" class="btn btn-primary"
              [disabled]="(addNewDash && (pinDashName=='' || pinDashDescription=='')) || ((isPublicPage && shareTo=='1' && rolesList.length==0)||(isPublicPage && shareTo=='2' && usersList.length==0))"
              (click)="pinToDashboard()">Finish</button>
          </div>
      </wizard-step>
    </wizard> -->
    <!-- ORIGINAL -->

  </div>

</ng-template>
<!-- Report Wizard -->
<!-- what's new -->
<ng-template #whatsNew let-c="close" let-d="dismiss">
  <div class="modal-header">
    <h5 class="modal-title"> <span class="font-weight-light">What’s New</span>
    </h5>
    <button type="button" class="close" (click)="d('Cross click');">&times;</button>
  </div>
  <div  class="modal-body p-4 whatsnew-scroll" [perfectScrollbar]>
    <div *ngFor="let whatsdata of whatsnew.whatsnew">
      <div class="row">
          <div class="col-lg-6 col-md-6">
              <img  src="{{whatsdata.image}}" class="whatsnew-left-img">
          </div>
          <div class="col-lg-6 col-md-6">
              <div class="what-timestamp">{{whatsdata.timestamp}}</div>
              <div class="what-title mt-1">{{whatsdata.title}}</div>
              <div class="what-summary my-4">{{whatsdata.summary}}</div>
              <div class="what-readmore">{{whatsdata.linktext}}</div>
          </div>
      </div>
      <div class="row">
          <div class="col-md-12">
              <hr class="my-4 whatsnew-hr">
          </div>
      </div>
    </div>
      <!-- <div class="ob-bottom_transp_div"></div> -->
  </div>
  <div  style="position: absolute;bottom: 0px;height: 80px;right: 0px;width: 100%;background: linear-gradient(#ffffff00,#ffffff);" >
    <div  class="text-center align-items-center w-100" style="position: absolute;bottom: 0;opacity: 0.6; ">
    </div></div>
</ng-template>
<div *blockUI="'global-loader'; template: elementBlockTemplate1"></div>
<ng-template #elementBlockTemplate1>
  <div class="block-ui-template">
    <div class="app-splash-screen ">
      <div class="new-app-splash-screen-content text-center">
        <img src="../../../assets/img/hx-loader-logo.svg" class="loader-svg">
        <span class="loading-text-material">
        </span>
      </div>
    </div>
  </div>
</ng-template>